A credit note, also known as a credit memo, is a legal document used to reduce the amount owed on an invoice after it was issued. Entities would typically use credit notes in the following cases:
Credit notes can be used to partially reduce the invoice amount as well as fully cancel an invoice.
Multiple credit notes can be issued for the same invoice. However, the total amount credited cannot exceed the invoice amount.

You can also configure PDF invoices to include information about credit notes applied.
To do this, enable the entity setting generate_paid_invoice_pdf.

To create and manage credit notes using an entity user token, this entity user must have a role with the receivables permission.
If a partner-level token is used, no special permissions are needed.
Monite API supports the following use cases for credit notes:
Credit notes cannot add new line items or increase the unit quantity and price in line items. Instead, the entity should issue a new invoice for the additional amount.
issued, partially_paid, and overdue statuses. Crediting paid invoices is not supported.issued and unpaid overdue invoices are automatically moved to the canceled status,partially_paid and partially paid overdue invoices are automatically moved to the paid status.Credit notes can have one of two statuses, draft or issued.
Draft credit notes can be deleted. Deleted documents can no longer be accessed via the API.

This is the initial status for all new credit notes. A draft credit note is not issued yet and can still be edited.
Draft credit notes can be either issued or deleted.
Only one draft credit note can exist per invoice. Before you can create the second draft credit note for the same invoice, you need to issue (or delete) the previous draft credit note.
This status indicates that the credit note has been finalized and issued to a counterpart.
There are two ways to create credit notes:
receivable_edit_flow is “compliant”, a new credit note will be automatically created and issued for the remaining invoice amount.Credit notes are not automatically sent to counterparts. Use POST /receivables/{credit_note_id}/send to send credit notes via email.
To create a credit note, call POST /receivables and specify the invoice ID in the based_on field in the request body:
This creates a draft credit note with a copy of invoice data. The response contains the id assigned to the credit note. The based_on and based_on_document_id properties of the credit note point to the original invoice:
By default, a newly created credit note cancels the full remaining amount of an invoice. If this is what you need, you can proceed to issue the credit note.
The first step is the same as when creating a full amount credit note - call POST /receivables and specify the invoice ID in the based_on field in the request body:
This returns the id assigned to the created draft credit note:
The next step is to adjust the line item quantities and prices as needed. To do this, call PATCH /receivables/{credit_note_id} and provide the updated values. The general PATCH request format for credit notes is as follows.
Notes:
line_items field in credit note PATCH requests differs from that in invoice objects.quantity field represents the number of products you want to remove or apply a discount via the credit note. This number must always be less than or equal to the current total on the invoice object.price_diff field defines the discount on the product. It represents the amount to be deducted from the current price on the invoice.old_price field defines the price of a previously discounted product. This field should only be used when applying a further discount on a product item.Consider an invoice line item object with product ID 9ccaf14e-c14d-48eb-8801-4217d52b6114, the price is 5 EUR (500 in minor units), and the quantity is 10.
To reduce the product quantity from 10 to 8 (in other words, to remove 2 items), update the credit note data as follows:
Consider an invoice line item object with product ID 9ccaf14e-c14d-48eb-8801-4217d52b6114, the price is 5 EUR (500 in minor units), and the quantity is 10.
To reduce the unit price from 5 to 4 EUR, update the credit note data as follows:
A successful request applies a discount of 1 EUR (100 in minor units) to all 10 products on the invoice line item.
Consider an invoice line item object with product ID 9ccaf14e-c14d-48eb-8801-4217d52b6114, the price is 5 EUR (500 in minor units), and the quantity is 10.
Suppose you want to reduce the price of 2 units from 5 to 4 EUR. The other 8 units should keep the original price. To achieve this, update the credit note data as follows:
A successful request applies a discount of 1 EUR (100 in minor units) to 2 of the 10 products on the invoice line item. No change applies to the remaining 8 products on the invoice line item.
Consider an invoice line item object with product ID 9ccaf14e-c14d-48eb-8801-4217d52b6114, the price is 5 EUR (500 in minor units), and the quantity is 10.
Suppose you had already reduced the price of 2 items from 5 EUR to 4 EUR (400 in minor units). Now, you want to further reduce the price of 2 units from 4 EUR to 2 EUR. To achieve this, update the credit note data as follows:
Once the credit note details have been finalized, you can mark the credit note as issued. To do this, call POST /receivables/{credit_note_id}/issue:
When a credit note is issued, the following happens:
status is changed to "issued".CN-<number> and is stored in the document_id field for tracking purposes.issue_date is set to the current date.Issuing a credit note also updates the reconciliation amounts on an invoice and may trigger a status change on the invoice.
If needed, additional credit notes can be created for the same invoice if it still has a remaining amount due.
Issuing a credit note does not automatically send it to the counterpart. See the Send a credit note via email section below to learn how to send credit notes.
Monite automatically generates the PDF version of credit notes. The PDF file details—URL, file size, MD5 hash, and other information—are returned in the file object property in the credit note response:
If file is returned as null, repeat the request to GET /receivables/{credit_note_id} after some time.
If you need just the PDF file link without the full credit note details, call GET /receivables/{credit_note_id}/pdf_link:
It returns the following response:
The PDF file is updated automatically if the credit note data is changed.
Monite provides several built-in PDF templates for receivables. Entities can change their default template or customize their chosen templates at any time. For more information, see PDF templates.
Both draft and issued credit notes can be sent via email. Sending a draft credit note also automatically issues it.
To send a credit note to a counterpart via email, call POST /receivables/{credit_note_id}/send and provide the email subject and body text. The language field determines the language of the email template used to send the credit note. If a value is not provided, it defaults to en.
Monite also allows you to provide a list of email addresses to which you can send the credit note. You can also include other email addresses to which you can send a copy or a blind copy of the credit note, as shown:
The subject_text and body_text fields are email template variables that represent the email subject and body. For more information, see Create and manage email templates.
The To email address is taken from the Counterpart object associated with the credit note. This address is also returned in the counterpart_contact.email field of the Receivable object that represents the credit note.
All credit note emails are sent from the noreply@monite.com email address by default. You can customize the email domain name—@exampleCompany.com— by configuring a mailbox for the entity. You can also customize the email sender name and username by updating your Monite partner settings. For more information, see Update partner settings.
A 200 OK response from POST /receivables/{credit_note_id}/send means the email was successfully sent from the Monite email server.
To resend a credit note, you can call POST /receivables/{credit_note_id}/send again, optionally with different subject_text and body_text templates.
Resending a credit note does not change its issued_date.
To list all credit notes, call GET /receivables?type=credit_note. You can optionally filter the returned results by the credit note status or other parameters.
To get a list of credit notes created for an invoice, call GET /receivables?type=credit_note&based_on=INVOICE_ID:
The results include both draft and issued credit notes (if any) created for that invoice:
Alternatively, if you need just the credit note IDs without other data, examine the related_documents.credit_note_ids field in an invoice: